<template>
  <div>
    <h1 class="mb-5">What dose of Minoxidil (Rogain) Were you on?</h1>
    <textarea v-model="whatDose" class="ta-input mb-8"></textarea>
    <div class="h1 mb-8">Was it effective?</div>
    <div class="space-y-3 mb-8">
      <radio-input
        v-for="choice in choices"
        :key="choice"
        :input-value="choice"
        v-model="radioSelected"
      >
        {{ choice }}
      </radio-input>
    </div>
    <common-btn
      text="Save and continue"
      :disabled="!radioSelected || !whatDose"
      @click="nextStage"
    />
  </div>
</template>

<script>
import {answersMixin, radioMixin} from "@/utils/mixins";
import {constants} from "@/constants";

export default {
  mixins: [answersMixin, radioMixin],
  name: "YourHealth18",
  watch: {
    whatDose(newVal) {
      this.setAnswer(this.answersKeys.YOUR_HEALTH, {
        choice: this.radioSelected,
        whatDose: newVal
      }, 'stage_18')
    }
  },
  data() {
    return {
      whatDose: null,
      choices: [
        'Yes',
        'No'
      ],
      radioHandler: newVal => {
        this.setAnswer(this.answersKeys.YOUR_HEALTH, {
          choice: newVal,
          whatDose: this.whatDose
        }, 'stage_18')
      }
    }
  },
  methods: {
    nextStage() {
      const answer = this.answer(this.answersKeys.YOUR_HEALTH)?.stage_17 ?? []

      if (answer.includes(constants.FINASTERIDE)) {
        this.$emit('nextStage')
      } else if (answer.includes(constants.OTHER_TREATMENTS)) {
        this.$emit('goTo', 20)
      } else {
        this.$emit('goTo', 21)
      }
    }
  }
}
</script>

<style scoped>

</style>
